Upgrade team account to log in with safari

CzymraCzymra Junior Member

My account was one of the first. Now I can't use Safari. Very sad.
How do I upgrade?


1Password Version: Not Provided
Extension Version: Not Provided
OS Version: MacOS Sierra latest
Sync Type: iCloud
Referrer: forum-search:safari login

Comments

  • brentybrenty

    Team Member

    @Czymra: Thanks for reaching out. I’m sorry for the confusion! It is not possible to "upgrade". No accounts created before December 4th 2015 can work in Safari or Edge because they do not support the same crypto standards 1Password Teams used in early beta, so it was never possible to use those browsers with those accounts. This is due to the encryption keys not being compatible with those browsers. And since these are used to secure your data, it isn't possible to simply generate new ones; the data would be lost.

    However, later we were able to adapt 1Password.com to use other frameworks that became available, so newer accounts will work. Therefore we recommend creating a new account so that Safari and Edge can be used, or using Chrome, Firefox, or Opera with the existing account. I hope this helps. Be sure to let me know if you have any other questions! :)

  • CzymraCzymra Junior Member

    Thanks for the info. All I care about is staying on my early adopter discount. Will I be able to take that with me to a new account? What about my team subdomain?

  • brentybrenty

    Team Member

    @Czymra: Ah, I see. That's certainly something I'd be concerned about as well! I'm glad you mentioned it. The early adopter special is no longer available, but shoot us an email at [email protected] with a link to this discussion and we'll see what we can do to help. :)

This discussion has been closed.